COMM(1)

NOMBRE
comm - compara línea por línea dos archivos ordenados

SINOPSIS
comm [OPCIÓN]... ARCHIVO1 ARCHIVO2

DESCRIPCIÓN

Compara línea por línea ARCHIVO1 y ARCHIVO2 ordenados.

Cuando ARCHIVO1 o ARCHIVO2 (pero no ambos) es '-', lee por la entrada estandar.

Si no se especifica ninguna opción, muestra tres columnas. La primera contiene las líneas que solo están en ARCHIVO1, la segunda las que solo están en ARCHIVO2 y la tercera contiene las que están en ambos.

-1  elimina la columna 1 (filas que solo están presentes en ARCHIVO1)

-2  elimina la columna 2 (archivos que solo están presentes en ARCHIVO2)

-3  elimina la columna 3 (líneas que están en ambos archivos)

--check-order
    comprueba que los datos de entrada estén correctamente ordenados, aún cuando todas las líneas se puedan emparejar.

--no-check-order
    no comprueba que los datos de entrada estén correctamente ordenados

--output-delimiter=CADENA
    separa las columnas mediante CADENA

--total
    muestra un resumen

-z, --zero-terminated
    las líneas se delimitan con NUL en lugar de nueva línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Observe que las comparaciones siguen las reglas definidas por 'LC_COLLATE'.

EJEMPLOS

comm -12 archivo1 archivo2
    Muestra solo las líneas que están presentes en ambos archivos.

comm -3 archivo1 archivo2
    Muestra las líneas de archivo1 que no están presentes en archivo2 y viceversa.

AUTOR
Escrito por Richard M. Stallman y David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

VÉASE TAMBIÉN
join(1), uniq(1)

Documentación completa <https://www.gnu.org/software/coreutils/comm>
también localmente ejecutando info '(coreutils) comm invocation'

Empaquetado en Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo.
NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.